Subject: [Sipping] I-D ACTION:draft-polk-sipping-reason-header-for-preemption-00.txt

From: [email-masked]
Date: Fri, 10 Oct 2003 15:38:05 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.

	Title		: Extending the Session Initiation Protocol Reason 
			  Header to account for Preemption Events
	Author(s)	: J. Polk
	Filename	: draft-polk-sipping-reason-header-for-preemption-00.txt
	Pages		: 14
	Date		: 2003-10-10
	
This document proposes an extension to the Session Initiation 
Protocol (SIP) Reason Header [1] to include in a BYE Method Request 
[2] as a result of a session preemption event either at a user 
agent (UA), or somewhere in the network using RSVP [3].  This 
document does not attempt to address routers failing in the packet 
path; but a deliberate event of tearing down a flow between UAs.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-polk-sipping-reason-header-for-preemption-00.txt

To remove yourself from the IETF Announcement list, send a message to 
ietf-announce-request with the word unsubscribe in the body of the message.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-polk-sipping-reason-header-for-preemption-00.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-polk-sipping-reason-header-for-preemption-00.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

---

From: Gonzalo Camarillo <[email-masked]>
Date: Fri, 17 Oct 2003 10:05:02 +0300

James,

I guess the general issue here is creating a new name space (protocol 
element for Reason) for preemption stuff. *If* we do that, I would 
rather create a general name space and have numeric codes for things 
like network preemption or user agent preemption.

So, rather than this syntax:

Reason : preempted_Network
Reason : preempted_UA

I would use this one:

Reason: preemption ;cause=1 ;text="Network Preemption"
Reason: preemption ;cause=2 ;text="UA Preemption"

We could even choose a more general name space than "preemption" and 
include things like loss of radio converage, for instance.

Gonzalo

-- 
Gonzalo Camarillo         Phone :  +358  9 299 33 71
Oy L M Ericsson Ab        Mobile:  +358 40 702 35 35
Telecom R&D               Fax   :  +358  9 299 30 52
FIN-02420 Jorvas          Email :  [email-masked]
Finland                   http://www.hut.fi/~gonzalo

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "David R. Oran" <[email-masked]>
Date: Fri, 17 Oct 2003 07:53:29 -0400

--On Friday, October 17, 2003 10:05 AM +0300 Gonzalo Camarillo 
<[email-masked]> wrote:

> element for Reason) for preemption stuff. *If* we do that, I would rather
> create a general name space and have numeric codes for things like
> network preemption or user agent preemption.
>
This does seem more flexible and extensible.

> include things like loss of radio converage, for instance.
I'm not sure I buy into this example - loss of radio coverage is a whole 
different class of reason - your call was not preempted by something else 
in this case, unless in fact you know you're not getting signal because the 
frequency/timeslot/codepoint was re-assigned out from under you.

Dave.

>> Internet-Drafts are also available by anonymous FTP. Login with the
>> username "anonymous" and a password of your e-mail address. After
>> logging in, type "cd internet-drafts" and then
>> 	"FILE
>> 	/internet-drafts/draft-polk-sipping-reason-header-for-preemption-00.txt
>> 	".
>> 	

------------------------
David R. Oran
Cisco Systems
7 Ladyslipper Lane
Acton, MA 01720
Office: +1 978 264 2048
VoIP: +1 408 571 4576
Email: [email-masked]

---

From: "James M. Polk" <[email-masked]>
Date: Fri, 17 Oct 2003 15:35:51 -0500

Thank you for your comments

Mine are in-line below

At 10:05 AM 10/17/2003 +0300, Gonzalo Camarillo wrote:
>create a general name space and have numeric codes for things like network 
>preemption or user agent preemption.
>

The way I read 3326, your suggested syntax wasn't really possible - but 
since you're the chair of the group, I am happy to agree to this suggestion 
(and will change the next rev of the doc).

>include things like loss of radio converage, for instance.

I am hesitant to make a more general name space than "preemption" due to 
the document's stated requirement of logging 'the *purposeful* action of 
preemption of a session either at the UA or in the network'. The loss of 
radio coverage is (I think) not purposeful - so it would not meet the 
requirement.

That doesn't mean there can't be another name space for inadvertent or 
unintended session loss. I have no problem with this - but is does mean 
something different enough from preemption that I feel the two are independent.

If you believe this other name space should still be created, should this 
be in this ID or another? I'm leaning towards the latter at the moment 
(which states this is not for cases that support the preemption namespace).

Comments?

>>         Title           : Extending the Session Initiation Protocol 
>> Reason                        Header to account for Preemption Events
>>         Author(s)       : J. Polk
>>         Filename        : 
>> draft-polk-sipping-reason-header-for-preemption-00.txt
>>         Pages           : 14
>>         Date            : 2003-10-10
>>
>>This document proposes an extension to the Session Initiation Protocol 
>>(SIP) Reason Header [1] to include in a BYE Method Request [2] as a 
>>result of a session preemption event either at a user agent (UA), or 
>>somewhere in the network using RSVP [3].  This document does not attempt 
>>to address routers failing in the packet path; but a deliberate event of 
>>tearing down a flow between UAs.
>>http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>> /internet-drafts/draft-polk-sipping-reason-header-for-preemption-00.txt".
>>

cheers,
James

                                *******************
                 Truth is not to be argued... it is to be presented

---

From: Gonzalo Camarillo <[email-masked]>
Date: Sat, 18 Oct 2003 08:54:59 +0300

James,

my point was that the name space needs to be as general as possible. In 
your original draft you were using two names spaces for preemption, 
while one, as suggested, was be enough... still, I was wondering if 
there was an even more general name space than preemption. But if you 
cannot think of a more general name space, it is fine with me. I only 
wanted you to give it a thought, since you know exactl best the types of 
applications you have in mind.

Gonzalo

James M. Polk wrote:
> since you're the chair of the group, I am happy to agree to this 
> suggestion (and will change the next rev of the doc).
> 
> 
> If you believe this other name space should still be created, should 
> this be in this ID or another? I'm leaning towards the latter at the 
> moment (which states this is not for cases that support the preemption 
> namespace).
> 
> Comments?
> 
> 
>> Gonzalo
>>
>>
>>
>>> [2] as a result of a session preemption event either at a user agent 
>>> (UA), or somewhere in the network using RSVP [3].  This document does 
>>> not attempt to address routers failing in the packet path; but a 
>>> deliberate event of tearing down a flow between UAs.
>>> username
>>> http://www.ietf.org/shadow.html or 
>>> ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>>